nvidia-graphics-drivers-390 (390.144-0ubuntu2) impish; urgency=medium

  * debian/dkms_nvidia/patches/buildfix_kernel_5.14.patch,
    debian/templates/dkms_nvidia.conf.in:
    - Fix build failure with Linux 5.14.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 06 Sep 2021 14:45:47 +0200

nvidia-graphics-drivers-390 (390.144-0ubuntu1) impish; urgency=medium

  * New upstream release (LP: #1933980).
  * debian/templates/dkms_nvidia.conf.in:
    - Drop buildfix_kernel_5.13.patch.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 05 Jul 2021 10:22:50 +0200

nvidia-graphics-drivers-390 (390.143-0ubuntu2) impish; urgency=medium

  * debian/dkms_nvidia/patches/buildfix_kernel_5.13.patch.
    debian/templates/dkms_nvidia.conf.in:
    - Add support for Linux 5.13.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 26 May 2021 14:34:14 +0200

nvidia-graphics-drivers-390 (390.143-0ubuntu1) hirsute; urgency=medium

  * New upstream release (LP: #1923062).
  * debian/templates/dkms_nvidia.conf.in:
    - Drop buildfix_kernel_5.11.patch.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 08 Apr 2021 15:31:03 +0200

nvidia-graphics-drivers-390 (390.141-0ubuntu2) hirsute; urgency=medium

  * debian/templates/control.in:
    - Add conflicts/replace/provides for all the metapackages
      (LP: #1915935).
    - Add XB-Support field and set it to "Legacy".
  * debian/templates/dkms_nvidia.conf.in,
    debian/dkms_nvidia/patches/buildfix_kernel_5.11.patch:
    - Add support for Linux 5.11.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 25 Feb 2021 13:14:57 +0100

nvidia-graphics-drivers-390 (390.141-0ubuntu1) hirsute; urgency=medium

  * New upstream release:
    - Fixed a driver installation failure on Linux kernel 5.8 release
      candidates, where the NVIDIA kernel module failed to build with
      error "'struct mm_struct' has no member named 'mmap_sem'".
    - Fixed a driver installation failure on Linux kernel 5.8 release
      candidates, where the NVIDIA kernel module failed to build with
      error "too many arguments to function '__vmalloc'".
  * debian/templates/dkms_nvidia.conf.in,
    debian/templates/dkms.conf.fragment.in:
    - Drop buildfix_kernel_5.8.patch.
    - Disable uvm on Linux >= 5.10.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 07 Jan 2021 17:06:01 +0100

nvidia-graphics-drivers-390 (390.138-0ubuntu2) groovy; urgency=medium

  * debian/dkms_nvidia/patches/buildfix_kernel_5.8.patch,
    debian/templates/dkms_nvidia.conf.in:
    - Add support for Linux 5.8. This still requires a partial
      revert of commit cfa6705d89b6562f79c40c249f8d94073c4276e4
      (radix-tree: Use local_lock for protection), which made
      radix_tree_preloads GPL-only.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 13 Jul 2020 18:03:46 +0200

nvidia-graphics-drivers-390 (390.138-0ubuntu1) groovy; urgency=medium

  * New upstream release:
    - Fixed a driver installation failure on Linux kernel 5.6 release
      candidates, where the NVIDIA kernel module failed to build with
      error "implicit declaration of function 'timespec_to_ns'".
    - Fixed a driver installation failure on Linux kernel 5.6 release
      candidates, where the NVIDIA kernel module failed to build with
      error "implicit declaration of function 'getrawmonotonic'".
    - Fixed a driver installation failure on Linux kernel 5.6 release
      candidates, where the NVIDIA kernel module failed to build with
      error "implicit declaration of function 'getnstimeofday'".
    - Fixed a driver installation failure on Linux kernel 5.6 release
      candidates, where the NVIDIA kernel module failed to build with
      error "dereferencing pointer to incomplete type 'struct
      timeval'".
    - Fixed a driver installation failure on Linux kernel 5.6 release
      candidates, where the NVIDIA kernel module failed to build with
      error "implicit declaration of function 'jiffies_to_timespec'".
    - Fixed driver installation failure on Linux kernel 5.6 release
      candidates, where the NVIDIA kernel module failed to build with
      error "passing argument 4 of 'proc_create_data' from
      incompatible pointer type".
    - Fixed driver installation failure on Linux kernel 5.6 release
      candidates, where the NVIDIA kernel module failed to build with
      error "implicit declaration of function 'ioremap_nocache'".
    - Fixed driver installation failure on Oracle Linux 7.7 systems,
      where the NVIDIA kernel module failed to build with error
      "unknown type name 'vm_fault_t'".
    - Add PRIME Synchronization support for Linux kernel 5.4 and
      newer.
  * debian/templates/control.in:
    - make the DKMS dependency less strict.
    - Use versioned dependencies on nvidia-kernel-common and
      nvidia-dkms, to keep user space in sync with the kernel modules.
  * debian/templates/dkms_nvidia.conf.in:
    - Drop do-not-call-pci_save_state.patch.
  * debian/rules:
    - expose DEBIAN_VERSION.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 18 Jun 2020 15:25:37 +0200

nvidia-graphics-drivers-390 (390.132-0ubuntu2) focal; urgency=medium

  * debian/templates/dkms_nvidia.conf.in:
    - Fall back on gcc when cc is not available.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 13 Dec 2019 10:57:22 +0100

nvidia-graphics-drivers-390 (390.132-0ubuntu1) focal; urgency=medium

  * New upstream release:
    - Fixed kernel module build problems with Linux kernel 5.4.0
      release candidates (LP: #1850826).
    - Updated nvidia-bug-report.sh to collect information about X
      server crashes from coredumpctl, when available.
    - Updated the nvidia-drm kernel module for compatibility with the
      removal of the DRIVER_PRIME flag in recent Linux kernel
      versions.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 11 Nov 2019 12:37:44 +0100

nvidia-graphics-drivers-390 (390.129-0ubuntu2) eoan; urgency=medium

  * debian/templates/dkms_nvidia.conf.in,
    debian/dkms_nvidia/patches/do-not-call-pci_save_state.patch,
    debian/dkms_nvidia/patches/disable_fstack-clash-protection_fcf-protection.patch:
    - Do not call pci_save_state() when suspending on Linux >=  4.15.0-54
      (LP: #1836630).
    - Add do-not-call-pci_save_state.patch
    - Detect the availability of the stack-clash-protection and fcf-protection
      flags in the compiler, and make sure to disable them. This fixes an
      issue when dist-upgrading from Ubuntu 19.04 (LP: #1830961).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 10 Oct 2019 16:12:56 +0200

nvidia-graphics-drivers-390 (390.129-0ubuntu1) eoan; urgency=medium

  * New upstream release:
    - Improved nvidia-bug-report.sh to grab the output of the
      `vulkaninfo` command when it is available.
    - Updated nvidia-bug-report.sh to search the systemd journal for
      gdm-x-session logs.
  * debian/templates/dkms_nvidia.conf.in:
    - Remove final # from nvidia module.
  * debian/templates/libnvidia-common-flavour.install.in,
    debian/templates/libnvidia-gl-flavour-dev.install.in,
    debian/templates/libnvidia-gl-flavour.install.in,
    debian/templates/nvidia-compute-utils-flavour.install.in,
    debian/templates/nvidia-driver-flavour.docs.in,
    debian/templates/nvidia-utils-flavour.install.in:
    - Remove final / from installation paths.
  * debian/templates/nvidia-compute-utils-flavour.nvidia-persistenced.service.in:
    - Add the StopWhenUnneeded=true field to nvidia-persistenced.
  * debian/templates/control:
    - Update build dependency on dpkg-dev to >= 1.17.11~.
    - Also rearrange cuda dependencies.
    - Add missing dependency on libnvidia-cfg1.
  * debian/templates/dkms_nvidia.conf.in:
    - Drop buildfix_kernel_5.2.patch.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 06 Aug 2019 09:57:11 +0200

nvidia-graphics-drivers-390 (390.116-0ubuntu2) eoan; urgency=medium

  * debian/dkms_nvidia/patches/buildfix_kernel_5.2.patch,
    debian/templates/dkms_nvidia.conf.in:
    - Add support for Linux 5.2 (LP: #1830050).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 10 Jun 2019 12:25:00 +0200

nvidia-graphics-drivers-390 (390.116-0ubuntu1) disco; urgency=medium

  * New upstream release:
    - Fixed build failures which resulted in errors like "implicit
      declaration of function drm_...", when building the NVIDIA
      DRM kernel module for Linux kernel 5.0 release candidates.
    - Fixed a bug which could cause VK_KHR_external_semaphore_fd
      operations to fail.
    - Fixed a build failure, "implicit declaration of function
      'vm_insert_pfn'", when building the NVIDIA DRM kernel module
      for Linux kernel 4.20 release candidates.
    - Fixed a build failure, "unknown type name 'ipmi_user_t'",
      when building the NVIDIA kernel module for Linux kernel 4.20
      release candidates.
    - Fixed a bug that caused mode switches to fail when an SDI
      output board was connected.
    - Fixed a bug that could cause rendering corruption in Vulkan
      programs.
    - Fixed a bug that caused
      vkGetPhysicalDeviceDisplayPropertiesKHR() to occasionally
      return incorrect values for physicalResolution.
    - Added the synchronization state for PRIME Displays to nvidia-
      settings.
    - Fixed a bug that could prevent nvidia-xconfig from disabling
      the X Composite extension on version 1.20 of the X.org X
      server.
    - Fixed a build failure, "too many arguments to function
      'get_user_pages'", when building the NVIDIA kernel module for
      Linux kernel v4.4.168.
    - Fixed a build failure, "implicit declaration of function
      do_gettimeofday", when building the NVIDIA kernel module for
      Linux kernel 5.0 release candidates.
    - Added a new kernel module parameter,
      NVreg_RestrictProfilingToAdminUsers, to allow restricting the
      use of GPU performance counters to system administrators
      only.
  * debian/templates/dkms_nvidia.conf.in:
    - Drop buildfix_kernel_4.18.patch.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 22 Feb 2019 19:22:11 +0100

nvidia-graphics-drivers-390 (390.87-0ubuntu4) disco; urgency=medium

  * debian/rules:
    - Prevent pkgbinarymangler from symlinking docs (LP: #1804738).
  * debian/templates/control.in:
    - Drop the build dependencies on the wayland libraries.
  * debian/templates/libnvidia-gl-flavour.install.in:
    - Drop 10_nvidia_wayland.json and libnvidia-egl-wayland.so.
      The new egl-wayland packages will provide the library and the
      headers.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 06 Dec 2018 12:14:30 +0100

nvidia-graphics-drivers-390 (390.87-0ubuntu3) disco; urgency=medium

  * debian/dkms_nvidia/patches/buildfix_kernel_4.18.patch:
    - Check the availability of drm_mode_connector_attach_encoder
      and of drm_mode_connector_update_edid_property, and use the
      correct calls, rather than relying on the kernel version.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 16 Nov 2018 12:23:42 +0100

nvidia-graphics-drivers-390 (390.87-0ubuntu2) disco; urgency=medium

  [ Andy Whitcroft]
  * debian/templates/dkms_nvidia.conf.in,
    debian/dkms_nvidia/patches/buildfix_kernel_4.18.patch:
    - Follow upstream function name changes in v4.18.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 13 Nov 2018 14:57:39 +0100

nvidia-graphics-drivers-390 (390.87-0ubuntu1) cosmic; urgency=medium

  * New upstream release:
    - Fixed a resource leak introduced in the 390 series of drivers
      that could lead to reduced performance after starting and
      stopping several OpenGL and/or Vulkan applications.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 28 Aug 2018 08:49:24 +0200

nvidia-graphics-drivers-390 (390.77-0ubuntu1) cosmic; urgency=medium

  * New upstream release:
    - Improved compatibility with recent Linux kernels.
    - Fixed an intermittent hang of Vulkan applications running
      fullscreen when flipping is allowed.
    - Removed informational messages that were printed by nvidia-
      modeset.ko whenever a GPU device was allocated or freed.
    - Fixed a bug that caused kwin OpenGL compositing to crash when
      launching certain OpenGL applications.
  * debian/nvidia-kernel-common-390.nvidia-fallback.service,
    debian/templates/nvidia-kernel-common-flavour.nvidia-fallback.service.in,
    debian/rules,
    debian/rules.defs:
    - Remove nvidia-fallback.service, as loading nouveau can cause problems
      on hybrid systems.
    - Use https instead of http for the sources.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 31 Jul 2018 16:26:48 +0200

nvidia-graphics-drivers-390 (390.67-0ubuntu1) cosmic; urgency=medium

  * New upstream release:
    - Fixed a bug that could cause kernel panics when using Quadro
      SDI Capture hardware.
    - Fixed a bug that caused kwin OpenGL compositing to crash when
      launching certain OpenGL applications.
    - Fixed an intermittent crash when launching Vulkan applications.
    - Fixed an intermittent crash when launching applications through
      Wine.
    - Fixed a bug that caused the driver, in some low bandwidth
      DisplayPort configurations, to not implicitly enable display
      dithering.  This resulted in visible banding.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 06 Jun 2018 15:43:51 +0200

nvidia-graphics-drivers-390 (390.59-0ubuntu1) cosmic; urgency=medium

  * New upstream release:
    - Added support for the following GPUs:
        GeForce GTX 1050 with Max-Q Design
        Quadro P3200
        Quadro P4200
    - Added support for X.Org xserver ABI 24 (xorg-server 1.20).
    - Improved nvidia-bug-report.sh to check for kern.log which is
      the default kernel log-file location for many Debian-based
      Linux distributions.
    - Fixed a bug which could cause X servers that export a Video
      Driver ABI earlier than 0.8 to crash when running X11
      applications which call XRenderAddTraps().

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 30 May 2018 16:32:34 +0200

nvidia-graphics-drivers-390 (390.48-0ubuntu4) cosmic; urgency=medium

  [ Alberto Milone ]
  * debian/templates/nvidia-kernel-common-flavour.{install|maintscript}.in:
    - Install the modprobe file in /lib (LP: #1761593).

  [ Graham Inggs ]
  * debian/create-uvm-dev-node:
    - Create the /dev/nvidia-uvm-tools device node (LP: #1767777).

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 15 May 2018 12:42:43 +0200

nvidia-graphics-drivers-390 (390.48-0ubuntu3) bionic; urgency=medium

  * debian/rules, debian/templates/control.in,
    debian/templates/nvidia-dkms-flavour.install.in,
    debian/templates/nvidia-dkms-flavour.postinst.in,
    debian/templates/nvidia-dkms-flavour.postrm.in,
    debian/templates/nvidia-dkms-flavour.prerm.in,
    debian/templates/nvidia-dkms-flavour.install.in,
    debian/templates/nvidia-kernel-common-flavour.install.in,
    debian/templates/nvidia-kernel-common-flavour.nvidia-fallback.service.in,
    debian/templates/nvidia-kernel-common-flavour.postinst.in,
    debian/templates/nvidia-kernel-common-flavour.postrm.in:
    - Fix kernel detection. We were passing an entire list of kernels
      but we really needed only the current kernel.
    - Split the scripts, udev rules, and blacklist file into the
      nvidia-kernel-common package. The nvidia-dkms package only
      includes DKMS related files now.
    - Rename nvidia-compute and nvidia-compute-no-dkms to
      nvidia-headless and nvidia-headless-no-dkms.
    - Drop the i386 dependencies from the main libraries on amd64, and
      add them to the main metapackage instead.
    - Recommend nvidia-prime (>=0.8).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 18 Apr 2018 19:01:46 +0200

nvidia-graphics-drivers-390 (390.48-0ubuntu2) bionic; urgency=medium

  [ Alberto Milone ]
  * debian/templates/10-nvidia.conf.in,
    debian/templates/xserver-xorg-video-nvidia-flavour.install.in:
    - Rename xorg.conf.d file.
    - Drop the PrimaryGpu option from the xorg.conf.d file, as it
      has a bad interaction with systems with multiple NVIDIA GPUs
      (LP: #1756226).

  [ Graham Inggs ]
  * debian/templates/control.in:
    - Make sure that libnvidia-compute does not conflict with or
      replace opencl-icd, so that other OpenCL ICDs can be installed
      at the same time.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 12 Apr 2018 16:45:37 +0200

nvidia-graphics-drivers-390 (390.48-0ubuntu1) bionic; urgency=medium

  * New upstream release:
    - Updated the driver to prevent G-SYNC from being enabled when a
      Quadro Sync board is installed. G-SYNC and Quadro Sync were
      always mutually incompatible features, and this change makes it
      easier to use G-SYNC capable monitors on Quadro Sync
      configurations, as it is now no longer necessary to manually
      disable G-SYNC.
    - Further improved the fix for occasional flicker when using the
      X driver's composition pipeline.  This was mostly fixed in
      390.42, but now the fix should be more complete.
    - Improved compatibility with recent Linux kernels.
    - Fixed a string concatenation bug that caused libGL to
      accidentally try to create the directory "$HOME.nv" rather than
      "$HOME/.nv" in some cases where /tmp isn't accessible.
    - Increased the version numbers of the GLVND libGL, libGLESv1_CM,
      libGLESv2, and libEGL libraries, to prevent concurrently
      installed non-GLVND libraries from taking precedence in the
      dynamic linker cache.
    - Fixed a bug which could cause X servers that export a Video
      Driver ABI earlier than 0.8 to crash when running X11
      applications which call XRenderAddTraps().
  * debian/templates/dkms_nvidia.conf.in:
    - Drop buildfix_kernel_4.15.patch.
  * debian/templates/nvidia-dkms-flavour.postinst.in:
    - Add missing KERNELS variable. This fixes the following error:
      "dpkg: error: version '-' has bad syntax: revision number is empty".

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 04 Apr 2018 15:05:09 +0200

nvidia-graphics-drivers-390 (390.42-0ubuntu1) bionic; urgency=medium

  * New upstream release:
    - Fixed a regression, introduced in 390.12, that caused occasional
      flicker when using the X driver's composition pipeline, for
      example when using screen transformations like rotation, or the
      "ForceCompositionPipeline" or "ForceFullCompositionPipeline"
      options."

  [ Alberto Milone ]
  * debian/dkms_nvidia/patches/buildfix_kernel_4.15.patch,
    debian/templates/nvidia-dkms-flavour.install.in:
    - Fix support for Linux 4.15 (LP: #1752739).
  * debian/templates/nvidia-kernel-source-flavour.install.in:
    - Slim down the file, avoiding to list every single file.
  * debian/templates/control.in:
    - Allow nvidia-dkms-390 to replace nvidia-384 (LP: #1753073).
  * debian/rules,
    debian/templates/nvidia-compute-utils-flavour.install.in,
    debian/templates/nvidia-compute-utils-flavour.nvidia-persistenced.service.in,
    debian/templates/nvidia-dkms-flavour.install.in,
    debian/templates/nvidia-dkms-flavour.nvidia-fallback.service.in:
    - Make sure to enable both systemd services, and let dh_systemd
      do all the work.
    - Install nvidia-fallback.service. This loads nouveau if nvidia
      fails to load.
    - Remove any references to ld.so.conf.

  [ Rico Tzschichholz ]
  * debian/rules.defs:
    - Use the no-compat32 binary for amd64.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 14 Mar 2018 17:10:44 +0100

nvidia-graphics-drivers-390 (390.25-0ubuntu4) bionic; urgency=medium

  * Commit changes to debian/templates/control.in, not just to
    debian/control.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 02 Mar 2018 14:26:58 -0800

nvidia-graphics-drivers-390 (390.25-0ubuntu3) bionic; urgency=medium

  * Don't depend on libnvidia-{en,de}code-390 on armhf, as these packages
    are not available.
  * Don't generate a self-recommends for libnvidia-decode-390 on i386.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 02 Mar 2018 12:12:25 -0800

nvidia-graphics-drivers-390 (390.25-0ubuntu2) bionic; urgency=medium

  [ Alberto Milone ]
  * debian/rules.defs:
    - Depend on xserver-xorg-core (>= 2:1.19.6-1ubuntu2~).
  * debian/templates/nvidia-dkms-flavour.postinst.in:
    - Remove legacy delayed build code.
  *  debian/templates/control.in:
    - libnvidia-compute should have Conflicts, not Breaks.
  * debian/copyright:
    - Use https in the url.
    - Move stanza about debian rules after debian/*.
  * debian/templates/nvidia-dkms-flavour.install.in
    - Remove debian/copy-nvidia-options and install kernel
      scripts in the DKMS package.
  * debian/templates/control.in:
    - Fix file clash in libnvidia-compute.
    - Use debhelper 9.
    - Add libnvidia-common-$flavour package. This includes
      the GL profiles (which are not arch specific).
  * debian/templates/xserver-xorg-video-nvidia-flavour.install.in:
    - Do not install libnvidia-wfb.so.$version.

  [ Rico Tzschichholz ]
  * debian/rules:
    - Drop superfluous build target references, and unused variables.
    - Avoid empty target, which is fatal.
  * debian/templates/libnvidia-decode-flavour.{install|links}.in:
    - Change vdpau destination.
  * debian/templates/control.in:
    - Relax versioned Conficts.
    - Remove -i386 packages.
    - Add Conflicts/Replaces nvidia-390 to nvidia-kernel-source.
  * debian/templates/libnvidia-gl-flavour.install.in:
    - Fix installation of nvidia_icd.json.
    - Install libnvidia-tls.so on armhf.


 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 01 Mar 2018 18:34:26 +0100

nvidia-graphics-drivers-390 (390.25-0ubuntu1) bionic; urgency=medium

  * Initial release.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 22 Feb 2018 18:50:17 +0100
